{% extends 'pages/pages_base.html.twig' %}

{% block title %} {{ title }} {% endblock %}

{% block pages_body %}

    <div class="shop-wrapper pt-100 pb-60">
        <div class="container">

            <div class="grid-list-product-wrapper">
                <div class="product-grid product-view">
                    <div class="row">
                        <div class="col-xl-3 col-lg-3 col-md-12 col-12">
                            <div class="row_products_side">
                                <div class="product_left_sidbar">

                                    <div class="product-filter  mb-30">
                                        <h5> Product Categories </h5>
                                        <ul class="product-categories">
                                            <li class="cat-item {% if app.request.query.get('category') == "" %} active {% endif %}">
                                                <a href="{{ path('app_product_index',{'category':"",'order':app.request.query.get('order'),'search':app.request.query.get('search')}) }}">All Categories</a>
                                            </li>
                                            {% for category in categories  %}
                                                <li class="cat-item {% if app.request.query.get('category') == category.slug %} active {% endif %}">
                                                    <a href="{{ path('app_product_index',{'category':category.slug,'order':app.request.query.get('order'),'search':app.request.query.get('search')}) }}">{{ category.title }}</a>
                                                    <span class="count">({{ category.products|length }})</span>
                                                </li>
                                            {% endfor %}
                                        </ul>
                                    </div>
                                    <div class="product-filter mb-30">
                                        <h5>Random Products</h5>
                                        <ul class="product_list_widget">
                                            {% for product in randomProducts %}
                                                <li>
                                                    <div class="product-image">
                                                        <a title="{{ product.title }}" href="{{ path('app_product_show',{'slug':product.slug}) }}">
                                                            <img alt="{{ product.title }}" src="{{ asset(product.imagePath) }}">
                                                        </a>
                                                    </div>
                                                    <div class="product-info">
                                                        <a title="{{ product.title }}" href="{{ path('app_product_show',{'slug':product.slug}) }}">
                                                            <span class="product-title">{{ product.title }}</span>
                                                        </a>
                                                        <div class="star-rating">
                                                            <div class="rating-box">
                                                                {{ product.category.title }}
                                                            </div>
                                                        </div>
                                                        <span class="woocommerce-Price-amount amount">
                                                            <span class="woocommerce-Price-currencySymbol">$</span><span class="money">{{ product.finalPrice }}</span>
                                                        </span>
                                                    </div>
                                                </li>
                                            {% endfor %}

                                        </ul>
                                    </div>

                                </div>
                            </div>
                        </div>

                        <div class=" col-xl-9 col-lg-9 col-md-12 col-12">

                            <form method="get">

                                {% if app.request.query.get('category') %}
                                    <input type="hidden" name="category" value="{{ app.request.query.get('category') }}">
                                {% endif %}
                                {% if app.request.query.get('order') %}
                                    <input type="hidden" name="order" value="{{ app.request.query.get('order') }}">
                                {% endif %}

                                <div class="row mb-5">
                                    <div class="col-7 offset-2">
                                        <input placeholder="Search ..." name="search" type="search" class="form-control" value="{{ app.request.query.get('search') }}" />
                                    </div>
                                    <div class="col-1">
                                        <button type="submit" class="button but">
                                            <i class="fas fa-search"></i>
                                        </button>
                                    </div>
                                </div>
                            </form>

                            <div class="row">
                                <div class="col-lg-12 col-md-12 col-12 ">
                                    <div class="tolbar__area">
                                        <div class="toolbar clearfix">
                                            <div class="toolbar-inner">

                                                <p class="woocommerce-result-count">
                                                    Showing {{ paginationFrom }} - {{ paginationTo }} of {{ pagination.getTotalItemCount }} results
                                                </p>
                                                <form method="get" class="woocommerce-ordering hidden-xs">
                                                    <div class="orderby-wrapper">
                                                        <label>Sort By :</label>
                                                        {% if app.request.query.get('category') %}
                                                            <input type="hidden" name="category" value="{{ app.request.query.get('category') }}">
                                                        {% endif %}
                                                        {% if app.request.query.get('search') %}
                                                            <input type="hidden" name="search" value="{{ app.request.query.get('search') }}">
                                                        {% endif %}
                                                        <select class="orderby" id="change_order" name="order">
                                                            <option value="">-- Sort Products --</option>
                                                            {% for slug, item in sortItems %}
                                                                <option value="{{ slug }}" {% if app.request.query.get('order') == slug %} selected {% endif %}>{{ item['title'] }}</option>
                                                            {% endfor %}
                                                        </select>
                                                    </div>
                                                </form>

                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="shop-product-content tab-content">
                                <div id="product-grid" class="tab-pane fade active show">
                                    <div class="row">

                                        {% for product in pagination %}
                                            {% include "layouts/_products.html.twig" %}
                                        {% else %}
                                            <div class="shop_top_banner no_product_found">
                                                <img src="assets/img/banner/no-product.png" alt="No Product">
                                            </div>
                                        {% endfor %}

                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-lg-12 col-md-12 col-12">

                                    <div class="pagination-style text-center">

                                        {{ knp_pagination_render(pagination) }}

                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

{% endblock %}

{% block javascripts %}
    {{ parent() }}
    <script>
        $(document).ready(function() {
            $('#change_order').on('change', function() {
                this.form.submit();
            });
        });
    </script>
{% endblock %}
